# Applications Applications ## Creates a new application record that does not already exist. - [POST /applications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/createapplication.md): This method will auto-generate an ID and create a new application. If an ID is specified for the application, an error will be thrown. ## Returns a list of records with the specified application_group_id - [GET /applications/{tenantId}/applicationGroup/{application_group_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/listapplicationsbyapplicationgroupid.md): Returns a list of records with the specified application_group_id ## Execute Batch Operations - [POST /applications/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /applications/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/listapplicationsbycontactid.md): Returns a list of records with the specified contact_id ## Generates an application for a contact or organization - [POST /applications/{tenantId}/generateApplication/{processId}/{ownerType}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/generateapplications.md) ## Generates an group order from a membership application - [POST /applications/{tenantId}/generateGroupOrder/{groupId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/generategrouporder.md): This method will examine a membership application and generate an appropriate order ## Generates an order from a membership application - [POST /applications/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/generateorder.md): This method will examine a membership application and generate an appropriate order ## Returns a list of records with the specified organization_id - [GET /applications/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/listapplicationsbyorganizationid.md): Returns a list of records with the specified organization_id ## Searches for applications using predefined parameters - [POST /applications/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/searchforapplications.md): Searches for applications using predefined parameters ## Returns a application from the system by its ID. - [DELETE /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/deleteapplication.md): This method will delete a application with the specified ID. ## Returns a application from the system by its ID. - [GET /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/getapplication.md): This method will look up a application by the specified ID and return it back. ## Partially updates a application with the specified ID. - [PATCH /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/patchapplication.md): This method will patch an existing application with the specified ID, using the HTTP PATCH specification. ## Updates a application with the specified ID. - [PUT /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/updateapplication.md): This method will update an existing application with the specified ID.